com.holonplatform.vaadin.flow.components.builders

## Interface HasTextConfigurator<C extends HasTextConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    ButtonBuilder, ButtonConfigurator<C>, ButtonConfigurator.BaseButtonConfigurator, ContextMenuConfigurator.MenuItemBuilder<L,M,I,S,B>, DialogBuilder<B>, DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogConfigurator<C>, DialogConfigurator.ClosableDialogConfigurator<C>, HasTextConfigurator.BaseHasTextConfigurator, LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>, NativeButtonBuilder, NavigationLink.Builder
  All Known Implementing Classes:
    DefaultNavigationLink.DefaultBuilder

      public interface HasTextConfigurator<C extends HasTextConfigurator<C>>

  Configurator for `HasText` type components.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HasTextConfigurator.BaseHasTextConfigurator` Base `HasTextConfigurator`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HasTextConfigurator.BaseHasTextConfigurator` | `create(com.vaadin.flow.component.HasText component)` Create a new `HasTextConfigurator.BaseHasTextConfigurator`.
    `static HasTextConfigurator.BaseHasTextConfigurator` | `create(com.vaadin.flow.component.HasText component, HasDeferrableLocalization deferrableLocalization)` Create a new `HasTextConfigurator.BaseHasTextConfigurator`.
    `C` | `text(com.holonplatform.core.i18n.Localizable text)` Sets the text content using a `Localizable` message.
    `default C` | `text(String text)` Sets the text content, replacing any previous content.
    `default C` | `text(String defaultText, String messageCode, Object... arguments)` Sets the text content using a localizable `messageCode`.

- - ### Method Detail

    - #### text

          C text(com.holonplatform.core.i18n.Localizable text)

      Sets the text content using a `Localizable` message.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` value is interpreted as an empty text.

      Parameters:
        `text` - Localizable text content message (may be null)
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### text

          default C text(String text)

      Sets the text content, replacing any previous content.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` text value is interpreted as an empty text.

      Parameters:
        `text` - The text content to set
      Returns:
        this

    - #### text

          default C text(String defaultText,
                         String messageCode,
                         Object... arguments)

      Sets the text content using a localizable `messageCode`.

      The text value is interpred as plain text and the HTML markup is not supported.

      Parameters:
        `defaultText` - Default text content if no translation is available for given `messageCode`
        `messageCode` - Text translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### create

          static HasTextConfigurator.BaseHasTextConfigurator create(com.vaadin.flow.component.HasText component)

      Create a new `HasTextConfigurator.BaseHasTextConfigurator`.
      Parameters:
        `component` - Component to configure (not null)
      Returns:
        A new `HasTextConfigurator.BaseHasTextConfigurator`

    - #### create

          static HasTextConfigurator.BaseHasTextConfigurator create(com.vaadin.flow.component.HasText component,
                                                                    HasDeferrableLocalization deferrableLocalization)

      Create a new `HasTextConfigurator.BaseHasTextConfigurator`.
      Parameters:
        `component` - Component to configure (not null)
        `deferrableLocalization` - Deferrable localization provider
      Returns:
        A new `HasTextConfigurator.BaseHasTextConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.